数据提供商: Apify
Google 地图地点搜索
$0.0045 / 条结果异步运行,需轮询 Run
按查询词和地点搜索 Google Maps,最多返回 20 个地点,包含名称、地址、坐标、评分、评论数、分类、网站、电话和营业时间。固定版本的 Apify Actor 通过持久化 Provider Job 返回最多 20 条记录。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Apify endpoint /damilo/google-maps-scraper on Glasser.bash
glasser run -p apify -e '/damilo/google-maps-scraper' -i '{"query":"restaurant","location":"San Francisco, CA, USA"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/damilo/google-maps-scraper","input":{"query":"restaurant","location":"San Francisco, CA, USA"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
评估地点时,可以将可用的地点或房产详情与项目需求比较。
复制此提示词到你的 Agent,按需求审阅地点。
提示词
Use apify:/damilo/google-maps-scraper on Glasser.
Check the returned place or property details against my location requirements.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query",
"location"
],
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"language": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"location": {
"type": "string",
"maxLength": 500,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"query": "restaurant",
"location": "San Francisco, CA, USA"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.0045 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.12 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |